#!/bin/bash

#solo ejecuto el script en centos 5
if [ "$(/bin/rpm -q centos-release)" != "centos-release-5-11.el5.centos" ];then
    exit
fi

for i in `/bin/cat /proc/net/dev|/bin/grep 'eth[0-9]*:'|/bin/sed 's/:.*//g;s/^ *//g'`;do
    MAC=`/sbin/ethtool -P $i|/bin/sed 's/.* //g'`
    BUS=`/sbin/ethtool -i $i|/bin/grep 'bus-info'|/bin/sed 's/.*bus-info: //g'`
    DESC=`/sbin/lspci -s $BUS|/bin/sed 's/.*controller: //g;s/ (.*//g;s#/#\\\/#g'`
    if [ -f /etc/sysconfig/network-scripts/ifcfg-$i ];then
        /bin/sed -i "s/^#HWADDR.*/HWADDR=$MAC/g" /etc/sysconfig/network-scripts/ifcfg-$i
        /bin/sed -i "1 s/^# .*$/# $DESC/" /etc/sysconfig/network-scripts/ifcfg-$i
    else
        cat > /etc/sysconfig/network-scripts/ifcfg-$i << EOF
# $DESC
DEVICE=$i
BOOTPROTO=none
ONBOOT=yes
HWADDR=$MAC
EOF
    fi
done
